<div class="header bg pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
      <div class="header-body">
        <!-- Card stats -->
        <div class="row">
  
        </div>
      </div>
    </div>
  </div>
  
  <!-- Page content -->
  <div class="container-fluid mt--7">
    <!-- Table -->
    <div class="row">
      <div class="col">
        <div class="card shadow" >
          <div class="card-header border-0">
            <h3 class="mb-0">Blog</h3>
          </div>
          <br>
          <div style="text-align: center;" >  
            <form [formGroup]="editorForm" (ngSubmit)="onSubmit()" >
            <mat-form-field style="float: left; margin-left:20px">
              <mat-label>titre</mat-label>
              <input
                matInput
                placeholder="post titre"
                type="text"
                [(ngModel)]="blog.title"
                required
                formControlName="title"
              />
            </mat-form-field>
            <br><br><br><quill-editor 
            
            (onEditorCreated)="getEditorInstance($event)" formControlName="editor"></quill-editor>
            
            <input type="file" style="display: none"  name="file"  id="fileInputField"/>
            <br> <br>
  
           <button mat-raised-button color="primary" [disabled]="!editorForm.valid" > Creer</button>
          </form></div>
 
       
  
  
          <div class="card-footer py-4">
  
          </div>
        </div>
      </div>
    </div>
 </div>